#!/bin/sh
#Indicate not configured - script waits for it.
rm -f /etc/dgcmodem/.serial_configured

sleep 0.5
#Start with empty modprobe.conf include file.
echo -n > /etc/modprobe_includes/modem-dgcmodem.conf

#Edit config script to avoid device instances 1-7, avoid setting /dev/modem link, create modprobe.conf include file.
if [ -f /usr/sbin/dgcconfig ];then
 if [ "`grep '^#Edited by Puppy Linux' /usr/sbin/dgcconfig`" = "" ];then
  echo "/usr/sbin/dgcconfig found and being modified."
  sed -i -e 's%^#\!/bin/bash$%#\!/bin/bash\n#Edited by Puppy Linux during extraction of firmware for modem initialization.%' \
   -e 's%while \[ $u -lt 8 \]; do%while [ $u -le 0 ]; do%' \
   -e 's%^[\ \	]*echo \"alias /dev/modem%#echo \"alias /dev/modem%' \
   -e 's%/etc/modprobe\.conf%/etc/modprobe_includes/modem-dgcmodem.conf%' \
   -e 's%if \[ -d /etc/udev/rules\.d \]; then%if [ -f /etc/udev/rules.d ]; then%' \
   -e 's%ln -sf /dev/ttyS...0 /dev/modem%/bin/true #&%' \
   -e 's%max=249%max=251%' \
   -e 's%\tmajor=\${first}%\t[ "${device}" = "ttySDGC" -o  "${device}" = "cuaDGC" ] \\\n\t\t\&\& echo 0 \\\n\t\t\&\& return 0\n\n&%' \
   -e 's%^\t\t\tthen$%&\n\t\t\t\t[ -f /sbin/pup_event_backend_modprobe_protect ] \&\& /sbin/pup_event_backend_modprobe_protect --device_major_number=$major \&\& \\%' \
   -e 's%\tunconfigure_rcscript || exit%#&%' \
   -e 's%\tremove_kernel_modules || exit%#&%' \
   -e 's%rm -f /dev/modem$%/bin/true #&%' \
   -e 's%mv /dev/modem /dev/modem.old$%/bin/true #&%' \
   /usr/sbin/dgcconfig
  sync
 fi
 
 #Use edited config script to create devices.
 [ -f /sbin/pup_event_backend_modprobe_protect ] \
  && /sbin/pup_event_backend_modprobe_protect --lock=modulesconf
 /usr/sbin/dgcconfig --serial
 [ -f /sbin/pup_event_backend_modprobe_protect ] \
  && /sbin/pup_event_backend_modprobe_protect --unlock=modulesconf
fi

#Append 'include' statement to modprobe.conf
if [ -s /etc/modprobe_includes/modem-dgcmodem.conf ];then
 INCLUDE="include /etc/modprobe_includes/modem-dgcmodem.conf"
 [ "`tail -n 1 /etc/modprobe.conf | grep "^${INCLUDE}"`" = "" ] && echo "$INCLUDE" >> /etc/modprobe.conf
else
 rm -f /etc/modprobe_includes/modem-dgcmodem.conf
fi
