#!/bin/sh
#v432 Remove firmware-installed indications, to cause re-install...
[ "`pwd`" = "/" ] && cat /dev/null > etc/modules/firmware.inst.`uname -r`

###***
#Remove modprobe rules and script with old names.
#Remove obsolete rules - combined and renamed to 51-...usbserial:
#Remove obsolete rule - renamed to 40-usb_modeswitch-adapted:
rm -f etc/udev/rules.d/40-usb_modeswitch.rules
rm -f etc/udev/rules.d/50-modprobe-option.rules
rm -f etc/udev/rules.d/50-modprobe-sierra.rules
rm -f etc/udev/rules.d/50-modprobe-usbserial.rules
rm -f etc/udev/rules.d/50-option-modprobe.rules
rm -f etc/udev/rules.d/50-usbserial-modprobe.rules

#Remove scripts with old names.
rm -f usr/sbin/pmodprobeoption.sh
rm -f usr/sbin/poptionmodprobe.sh
rm -f usr/sbin/pusb_modeswitch.sh

#Remove old usbserial-dependent-module firmware:
rm -f lib/modules/all-firmware/ipw.tar.gz
rm -f lib/modules/all-firmware/motomodem.tar.gz
rm -f lib/modules/all-firmware/option.tar.gz
rm -f lib/modules/all-firmware/pl2303.tar.gz
rm -f lib/modules/all-firmware/qcserial.tar.gz
rm -f lib/modules/all-firmware/sierra.tar.gz
rm -f lib/modules/all-firmware/ti_usb_3410_5052.tar.gz

#NOTE: Already edited -- see new etc/modules/firmware.dep.2.6.30.5.
#Ensure # removed from all firmware entries,
#remove old usbserial-dependent-module firmware list entries,
#Remove pgprs-ti_usb_3410_5052 firmware association.
KERNVER="`uname -r`"
[ "`grep 'option:' etc/modules/firmware.dep.$KERNVER`" = "" ] \
 && sed -i \
  -e "s%^#\([^\:]*:[^\.]*\.ko\)%\1%" \
  -e 's%\#wireless usb modem drivers...%&\n\# All usbserial-dependent modules are associated with tarball usbserial\n\# by the firmware_module_func functions of rc.sysinit and\n\# pup_event_backend_modprobe (if not specified here, as special cases).%' \
  -e /ipw:/d \
  -e /motomodem:/d \
  -e /option:/d \
  -e /pl2303:/d \
  -e /qcserial:/d \
  -e /sierra:/d \
  -e /ti_usb_3410_5052:/d \
  -e /^pgprs:/d \
  etc/modules/firmware.dep.$KERNVER

